Bug#577209: libdbi-perl: DBI<>DBD ABI change breaks partial upgrades

Damyan Ivanov dmn at debian.org
Mon Apr 12 21:49:56 UTC 2010

-=| Niko Tyni, Mon, Apr 12, 2010 at 09:49:56PM +0300 |=-
> Plan A: "don't look back"
> Plan B: "revert for now"

I dislike Plan B because of the epoch. I hate epochs. Once you get 
one, you can never drop it. It also breaks dh-make-perl's dependency 
resolver :/ (but it is already broken for DBI, because the module 
version doesn't match the distribution (and package) version).

Yes, this is more emptional than technical reason, but I thought I'd 
give it anyway.

If epochs can be avoided (by a slightly less ugly version like 
1.610.90+is+1.609), I am all for Plan B. This will still break 
dh-make-perl, but only until the next DBI release.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 835 bytes
Desc: Digital signature
URL: <http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/attachments/20100413/c2d3caa9/attachment.pgp>

More information about the pkg-perl-maintainers mailing list